.btn {
  color: getTextColor(text-light);
  border: 1px solid getBorderColor(transparent);
  transition: getTransition(fast);
  border-radius: $border-radii;
  text-transform: uppercase;
  cursor: pointer;

  &-sm {
    @extend .btn;
    @include paddingWH(2px, 10px);
    background-color: getBtnBgColor(passive);
    //more...
  }

  &-m {
    @extend .btn;
    @include paddingWH(11px, 30px);
    border-color: getBorderColor(light);
    background-color: getBtnBgColor(transparent);
  }

  &-m:hover {
    background-color: getBtnBgColor(colored-light);
    border-color: getBorderColor(colored-light);
  }

  &-active {
    background-color: getBtnBgColor(active);
  }

  @media (min-width: 768px) {
    letter-spacing: getLetterSpacing(small);

    &-sm {
      @include paddingWH(2px, 30px);
    }
  }
}
